<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'GatewayGetSerial';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$cmdLine = file_get_contents('/proc/cmdline');

		preg_match('/carduuid=([0-9]{1}\-[0-9]{2}\-[0-9]{10})/', $cmdLine, $matches);
		$this->_execResultString .= ':' . $matches[1];

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . ($this->_execResult ? $this->_execResultString : 'error'));
	}
}

?>
